using UnityEngine;
using System.Collections;

public class LightFlicker : MonoBehaviour 
{
	public float rate = 1;
	public float variation = 0;
	public float sizeVariation = 0.1f;
	
	Vector3 startScale;
	
	float elapsed;
	float goalTime;
	
	void Start () 
	{
		startScale = transform.localScale;
		goalTime = rate;
	}
	
	// Update is called once per frame
	void Update () 
	{
		elapsed += Time.deltaTime;
		
		if (elapsed > goalTime)
		{
			elapsed = 0;
			goalTime = rate + Random.Range(-variation, variation);
			transform.localScale = startScale + Vector3.one * Random.Range(-sizeVariation, sizeVariation);
			
			
		}
	}
}
